import os
from datetime import datetime
from dotenv import load_dotenv

load_dotenv()

def get_with_default(var: str, default: None, message: str = None):
    var = os.environ.get(var)

    if var is not None:
        return var
    if message is not None:
        print(message)
    return default

SALES_ORG_NAME = os.environ.get("SALES_ORG_NAME")
BW_PASSWORD = os.environ.get("BW_CH01_SAPDOM_ADS_TECH_PSW")
BW_USERNAME = os.environ.get("BW_CH01_SAPDOM_ADS_TECH_USER")
DATABASE = os.environ.get("ACE_DEV_SQL_DATABASE_LANDING")
DB_PASSWORD = os.environ.get("ACE_DEV_SQL_PASSWORD_LANDING")
DB_USERID = os.environ.get("ACE_DEV_SQL_USERNAME_LANDING")
MODEL_VERSION = os.environ.get("MODEL_VERSION")
RFM_DAYS = int(os.environ.get("RFM_DAYS"))
SERVER = os.environ.get("ACE_DEV_SQL_SERVER")
TRAIN_DAYS = int(get_with_default("TRAIN_DAYS", 729, "Using default TRAIN_DAYS=729"))
TRAIN_END = get_with_default(
    "TRAIN_END",
    datetime.utcnow().strftime("%Y%m%d"),
    f"Using default TRAIN_END of now ({datetime.utcnow().strftime('%Y%m%d')})"
)

def main():
    print('You are here @ env')

if __name__ == '__main__':
    main()