import os
import pandas as pd

def erp_bw2sf(s: pd.Series) -> pd.Series:
    """Remove 2 leading zeros from a string."""
    return s.replace("^00", "", regex=True)

def get_purchases(
    sales: pd.DataFrame, bill_type_col: str = "BILL_TYPE", net_sale_col: str = "NetSale"
) -> pd.DataFrame:
    """Filter the sales dataframe for purchases. Purchases are defined as
    positive transactions with BillType either ZF2 or ZINV.
    """
    return sales[
        (sales[bill_type_col].isin(["ZF2", "ZINV"])) & (sales[net_sale_col] > 0)
    ]

def main():
    print('You are here @ utils')

if __name__ == '__main__':
    main()